Subject: [spring] FW: New Version Notification for draft-ietf-6man-spring-srv6-oam-05.txt

From: "Zafar Ali (zali)" <[email-masked]>
Date: Fri, 12 Jun 2020 16:35:34 +0000

Dear WG:

We have just posted https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt.

This version addresses comments received during the interim meeting and all outstanding comments.

Since the interim meeting:

  *   The authors had WebEx calls with Joel M. Halpern and Bob Hinden.
  *   The authors also had a WebEx with Greg Mirsky.
  *   During these calls, the author went over their comments and walked over how the proposed diffs address their feedback.

The authors thank Joel, Greg, Loa, Bob and the WG for all the comments.
The authors believe that the diffs address their and other outstanding comments from the WG.

How the diffs address the comments is detailed in the following:

  *   Joel Halpern comment from the interim meeting, https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/. Specifically, "Joel Halpern: You said you added illustrations to address my comments. You did add illustrations, but the description does not address my comment. The document needs to address what the router actually has to do when the O bit is set. The text does not describe this."
     *   Section 2.1.1. O-flag Processing has been enhanced to address Joel's comments. It has been reviewed with Joel and Bob during the WebEx meeting with them. The author believes the changes address Joel's comments.
  *   Greg Mirsky's comment from the interim meeting, https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/. Specifically, "Greg Mirsky: I did not read the latest version, so I haven't seen the latest changes. I think your interpretation of RFC 7799 is incorrect. O-bit, according to the definition or active, passive, and "in-between." OAM would be an example of the hybrid OAM method. I also think what you are trying to achieve with O-bit is achievable with current iOAM (in-situ OAM). "
     *   The terminology now uses the hybrid OAM mechanism. Section 2.1.1. (O-flag Processing) Section 3.3 (A Controller-Based Hybrid OAM Using O-flag) has been enhanced to address Greg's comments. The diffs have been discussed with Greg during the WebEx meeting with them. The author believes the changes address Greg's comments.
  *   There was an outstanding comment from Greg in https://mailarchive.ietf.org/arch/msg/ipv6/esi3EWdjWMEu9zSP-pjzxI2gEmw/. Specifically, Greg asked: Isn't using assigned by IANA port number sufficient to identify active IP OAM packets? Wouldn't the same be applicable in SRv6 OAM? Removed END.OP SID and the associated changes in the illustration section to address this comment.
  *   The new version addresses pending comments from Loa Anderson by a rewrite of the introduction and abstract. All other comments from  https://mailarchive.ietf.org/arch/msg/ipv6/LKsWbnA0aWYem4AbHWrUURNd-3c/ has been already addressed.
  *   Migrated addresses used for illustration to IPv6 addresses reserved for documentation.
  *   Fixed .xml file, as per Bob’s comment.
  *   Fixed IDnit issues.
  *   Misc. editorial changes including illustration enhancement in 3.4 (Monitoring of SRv6 Paths)

Thanks

Regards … Zafar (on behalf of the co-authors and contributors)

From: "[email-masked]" <[email-masked]>
Date: Friday, June 12, 2020 at 12:27 PM
To: Daniel Voyer <[email-masked]>, Mach Chen <[email-masked]>, "Clarence Filsfils (cfilsfil)" <[email-masked]>, Satoru Matsushima <[email-masked]>, "Zafar Ali (zali)" <[email-masked]>
Subject: New Version Notification for draft-ietf-6man-spring-srv6-oam-05.txt

A new version of I-D, draft-ietf-6man-spring-srv6-oam-05.txt
has been successfully submitted by Zafar Ali and posted to the
IETF repository.

Name:                   draft-ietf-6man-spring-srv6-oam
Revision:              05
Title:                      Operations, Administration, and Maintenance (OAM) in Segment Routing Networks with IPv6 Data plane (SRv6)
Document date:                2020-06-12
Group:                  6man
Pages:                   20
URL:            https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-spring-srv6-oam/
Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-spring-srv6-oam-05
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-6man-spring-srv6-oam
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-spring-srv6-oam-05

Abstract:
   This document describes how the existing IPv6 OAM mechanisms can be
   used in an SRv6 network.  The document also introduces enhancements
   for controller-based OAM mechanisms for SRv6 networks.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 12 Jun 2020 13:13:14 -0400

Thank you Zafar.  As we discussed, these changes address my concerns.
Yours,
Joel

On 6/12/2020 12:35 PM, Zafar Ali (zali) wrote:
> Dear WG:
> 
> We have just posted 
> https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt. 
> 
> 
>   * During these calls, the author went over their comments and walked
>     over how the proposed diffs address their feedback. 
> 
>   * Joel Halpern comment from the interim meeting,
>     https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/.
>     Specifically, "Joel Halpern: You said you added illustrations to
>     address my comments. You did add illustrations, but the description
>     does not address my comment. The document needs to address what the
>     router actually has to do when the O bit is set. The text does not
>     describe this."
>       o Section 2.1.1. O-flag Processing has been enhanced to address
>         Joel's comments. It has been reviewed with Joel and Bob during
>         the WebEx meeting with them. The author believes the changes
>         address Joel's comments. 
>   * Greg Mirsky's comment from the interim meeting,
>     https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/.
>     Specifically, "Greg Mirsky: I did not read the latest version, so I
>     haven't seen the latest changes. I think your interpretation of RFC
>     7799 is incorrect. O-bit, according to the definition or active,
>     passive, and "in-between." OAM would be an example of the hybrid OAM
>     method. I also think what you are trying to achieve with O-bit is
>     achievable with current iOAM (in-situ OAM). "
>       o The terminology now uses the hybrid OAM mechanism. Section
>         2.1.1. (O-flag Processing) Section 3.3 (A Controller-Based
>         Hybrid OAM Using O-flag) has been enhanced to address Greg's
>         comments. The diffs have been discussed with Greg during the
>         WebEx meeting with them. The author believes the changes address
>         Greg's comments. 
>   * There was an outstanding comment from Greg in
>     https://mailarchive.ietf.org/arch/msg/ipv6/esi3EWdjWMEu9zSP-pjzxI2gEmw/.
>     Specifically, Greg asked: Isn't using assigned by IANA port number
>     sufficient to identify active IP OAM packets? Wouldn't the same be
>     applicable in SRv6 OAM? Removed END.OP SID and the associated
>     changes in the illustration section to address this comment.
>   * The new version addresses pending comments from Loa Anderson by a
>     rewrite of the introduction and abstract. All other comments from
>     https://mailarchive.ietf.org/arch/msg/ipv6/LKsWbnA0aWYem4AbHWrUURNd-3c/ has
>     been already addressed.
> *From: *"[email-masked]" <[email-masked]>
> *Date: *Friday, June 12, 2020 at 12:27 PM
> *To: *Daniel Voyer <[email-masked]>, Mach Chen 
> <[email-masked]>, "Clarence Filsfils (cfilsfil)" 
> <[email-masked]>, Satoru Matsushima 
> <[email-masked]>, "Zafar Ali (zali)" <[email-masked]>
> *Subject: *New Version Notification for 
> draft-ietf-6man-spring-srv6-oam-05.txt
> 
> Name:draft-ietf-6man-spring-srv6-oam
> 
> Revision:05
> 
> Title:Operations, Administration, and Maintenance (OAM) in Segment 
> Routing Networks with IPv6 Data plane (SRv6)
> 
> Document date:2020-06-12
> 
> Group:6man
> 
> Pages:20
> 
> URL: 
> https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt
> 
> Htmlized: 
> https://datatracker.ietf.org/doc/html/draft-ietf-6man-spring-srv6-oam
> 
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>

---

From: Haoyu Song <[email-masked]>
Date: Wed, 1 Jul 2020 00:13:06 +0000

Dear authors,

I noticed that the latest version of the document updates the usage of the o-bit :
“The O-flag in SRH is used as a marking-bit in the user packets to trigger the telemetry data collection and export at the segment endpoints.”.
Now the purpose of the o-bit and its function is almost identical to our earlier draft which has been presented in the same WG:
https://tools.ietf.org/html/draft-song-6man-srv6-pbt-01, in which we propose to use a SRH flag bits as trigger for telemetry data collection.
Consider the scope and status of your draft, I propose to merge my draft into this one. Another possible solution is to remove this part and develop it in our draft.  Thank you for your consideration!

Best regards,
Haoyu

From: ipv6 <[email-masked]> On Behalf Of Zafar Ali (zali)
Sent: Friday, June 12, 2020 9:36 AM
To: 6man <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: FW: New Version Notification for draft-ietf-6man-spring-srv6-oam-05.txt

Dear WG:

We have just posted https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-ietf-6man-spring-srv6-oam-05.txt&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640216962&sdata=hREGePQzWL3bBSQ9jM3jX9L66YLkHG5MipQjz1idASg%3D&reserved=0>.

  *   Joel Halpern comment from the interim meeting, https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fminutes-interim-2020-6man-01-202003310730%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640216962&sdata=B38nxyRJELdG%2F0mF6hDzNISu0E9aiWHEhvGeAPvuiHI%3D&reserved=0>. Specifically, "Joel Halpern: You said you added illustrations to address my comments. You did add illustrations, but the description does not address my comment. The document needs to address what the router actually has to do when the O bit is set. The text does not describe this."
     *   Section 2.1.1. O-flag Processing has been enhanced to address Joel's comments. It has been reviewed with Joel and Bob during the WebEx meeting with them. The author believes the changes address Joel's comments.
  *   Greg Mirsky's comment from the interim meeting, https://datatracker.ietf.org/doc/minutes-interim-2020-6man-01-202003310730/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fminutes-interim-2020-6man-01-202003310730%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640226959&sdata=8Ke4KsOb5up8nT1Qug4KfC3dnAGL7x%2FjEFo6tAhdx7Q%3D&reserved=0>. Specifically, "Greg Mirsky: I did not read the latest version, so I haven't seen the latest changes. I think your interpretation of RFC 7799 is incorrect. O-bit, according to the definition or active, passive, and "in-between." OAM would be an example of the hybrid OAM method. I also think what you are trying to achieve with O-bit is achievable with current iOAM (in-situ OAM). "
     *   The terminology now uses the hybrid OAM mechanism. Section 2.1.1. (O-flag Processing) Section 3.3 (A Controller-Based Hybrid OAM Using O-flag) has been enhanced to address Greg's comments. The diffs have been discussed with Greg during the WebEx meeting with them. The author believes the changes address Greg's comments.
  *   There was an outstanding comment from Greg in https://mailarchive.ietf.org/arch/msg/ipv6/esi3EWdjWMEu9zSP-pjzxI2gEmw/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fipv6%2Fesi3EWdjWMEu9zSP-pjzxI2gEmw%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640226959&sdata=4oXp6bCP7JRg%2BsxMTSI%2BNBMG9EjbMS5ABZjLUvnKlPs%3D&reserved=0>. Specifically, Greg asked: Isn't using assigned by IANA port number sufficient to identify active IP OAM packets? Wouldn't the same be applicable in SRv6 OAM? Removed END.OP SID and the associated changes in the illustration section to address this comment.
  *   The new version addresses pending comments from Loa Anderson by a rewrite of the introduction and abstract. All other comments from  https://mailarchive.ietf.org/arch/msg/ipv6/LKsWbnA0aWYem4AbHWrUURNd-3c/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fipv6%2FLKsWbnA0aWYem4AbHWrUURNd-3c%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640236949&sdata=jLWE9tU39RfhhUJlrDStK6l3LVHciLA6LuObQtkkCrg%3D&reserved=0> has been already addressed.
  *   Migrated addresses used for illustration to IPv6 addresses reserved for documentation.
  *   Fixed .xml file, as per Bob’s comment.
  *   Fixed IDnit issues.
  *   Misc. editorial changes including illustration enhancement in 3.4 (Monitoring of SRv6 Paths)

Thanks

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Friday, June 12, 2020 at 12:27 PM
To: Daniel Voyer <[email-masked]<mailto:[email-masked]>>, Mach Chen <[email-masked]<mailto:[email-masked]>>, "Clarence Filsfils (cfilsfil)" <[email-masked]<mailto:[email-masked]>>, Satoru Matsushima <[email-masked]<mailto:[email-masked]>>, "Zafar Ali (zali)" <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-ietf-6man-spring-srv6-oam-05.txt

Name:                   draft-ietf-6man-spring-srv6-oam
Revision:              05
Title:                      Operations, Administration, and Maintenance (OAM) in Segment Routing Networks with IPv6 Data plane (SRv6)
Document date:                2020-06-12
Group:                  6man
Pages:                   20
URL:            https://www.ietf.org/internet-drafts/draft-ietf-6man-spring-srv6-oam-05.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-ietf-6man-spring-srv6-oam-05.txt&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640236949&sdata=qS74Snw4OdgKw5dk%2BlD7u3dbbasssnp%2FgaWHcfrLrUg%3D&reserved=0>
Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-spring-srv6-oam/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-6man-spring-srv6-oam%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640236949&sdata=rLI7q46PlYv%2BtCDDKjuwy69B%2F9wgaPN9VD2aJblDTHg%3D&reserved=0>
Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-spring-srv6-oam-05<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-spring-srv6-oam-05&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640246950&sdata=XFdbNmtbE%2BmV3yqDEpi084ukSPp4IR%2BmMOvmUIHy8eg%3D&reserved=0>
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-6man-spring-srv6-oam<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-6man-spring-srv6-oam&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640246950&sdata=ge4oxmroR3Tp0CGQry2RWsupeXq5gcP3zdDD3GD0aqw%3D&reserved=0>
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-spring-srv6-oam-05<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-6man-spring-srv6-oam-05&data=02%7C01%7Chaoyu.song%40futurewei.com%7C93c028562bc34fc48bd508d80eeeec92%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637275766640256938&sdata=t6cmq7k6mDO743Pfnd5VpkjNXOWMgYiuClP427oVMsE%3D&reserved=0>

Abstract:

The IETF Secretariat